# Order Shipments

The shipping method is selected by the user when placing the order. The shipping method has already been defaulted when shipping, so there is no need to enter the shipping method parameter when shipping

If the order contains multiple identical items (same product_id and same sku_id), these items must be shipped together in the same package

Goods that have already been completed for sale cannot be shipped

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/product/delivery/send?access_token=xxxxxxxxx

# Example of request parameter - Shipment of whole order

{
    "order_id": 123456,
    "delivery_list": 
    [
        {
            "delivery_id": "1",
            "is_all_product" : true,
            "waybill_id": "23424324253"
        }
    ]
}

# Example of request parameters - Split Shipment

{
    "order_id": 123456,
    "delivery_list": 
    [
        {
            "delivery_id": "1",
            "is_all_product" : false,
            "waybill_id": "23424324253",
            "product_infos" : [
              {
                "product_cnt" : 1,
                "product_id" : 12345,
                "sku_id" : 678910
              }
            ]
        }
    ]
}

# Examples of back-up

{
    "errcode": 0,
    "errmsg":"ok",
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
order_id number yes Order id
delivery_list[].delivery_id string no Express company id, get by getting the list of express company, express delivery required, city, line from the need to fill out
delivery_list[].waybill_id string no Courier number, courier delivery must be filled in, same city, offline pick-up need not be filled out
delivery_list[].is_all_product bool no Does the courier include all the goods in the order (if not filled in the default is true, if the order is broken, please fill in false)
delivery_list[].product_infos[].product_cnt number no Product quantity (required when is_all_product=false)
delivery_list[].product_infos[].product_id number no Product ID (required if is_all_product = false)
delivery_list[].product_infos[].sku_id number no Product sku (required if is_all_product = false)

# Dxplaination of callback parameters

参数 type Introductions
errcode number Error code
errmsg string Error message

# Return code

返回码 Error Type
-1 System exceptions
-2 Token too long
48001 Do not have permission to call this api, please check whether the relevant permissions have been opened
100002 The order does not exist.
100003 Order updates are too frequent. The update order failed. Please try again
101100 The current order status does not allow for shipping. Please check the order status
108009 The current order has an unfinished after-sales order and is not allowed to ship
109000 If the shipment failed, check whether the item returned in the errmsg is filled out correctly, including whether the product is included in the order, whether the goods have been shipped, whether it has been completed after sales and cannot be shipped, and whether the number of items is filled correctly, etc.
109001 The current order has been shipped and cannot be repeated
109002 The current shipping request does not include the shipping item, please check that product_infos and is_all_product are filled in according to specifications
109205 The current order has been placed online logistics order and is not allowed to ship by mail
800001 All items of the same sku must be sent in one package